import machine
import kooka
import time
import fonts

reading = None


_timer100 = time.ticks_ms()
while True:
    if time.ticks_diff(time.ticks_ms(), _timer100) >= 0:
        _timer100 += 100
        kooka.display.fill(0)
        kooka.display.setfont(fonts.mono8x8)
        kooka.display.print('Kookaberry Meter', show=0)
        reading = machine.ADC("P1").read_u16() / 65535 * 3.3 / 3.3 * 100
        kooka.display.print('Value =', "{:5.1f}".format(reading), show=0)
        kooka.display.rect(int(10), int(25), int(100), int(20), 1)
        kooka.display.fill_rect(int(10), int(25), int(reading), int(20), 1)
        kooka.display.show()
    kooka.display.show()
    machine.idle()

# Generated Blockly XML follows
# <xml xmlns="https://developers.google.com/blockly/xml"><variables><variable id="CDBNB}XY~mz3*ow/FgT$">reading</variable></variables><block type="event_every_seconds" id="}X@~88Kw*^4.z7k9ETwk" x="-30" y="-170"><field name="T">0.1</field><statement name="DO"><block type="display_clear" id="+9EB,JS771CbW`[Xy/i?"><next><block type="display_setfont" id="^eDK$$}yuVqKK.wVKI$s"><field name="FONT">mono8x8</field><next><block type="display_print" id=";y5x5a}rZ*8%ybm8VCkG"><value name="VALUE"><shadow type="text" id="LyjaMJl}ny1mHWq.(5eq"><field name="TEXT">Kookaberry Meter</field></shadow></value><next><block type="variables_set" id="R)rJw2*,],[jVI@RJ%^T"><field name="VAR" id="CDBNB}XY~mz3*ow/FgT$">reading</field><value name="VALUE"><block type="adc_read_percent" id="yDsY8XDjoGe[OS)?eu0^"><field name="PIN">P1</field><value name="MAX"><shadow type="math_number" id="DnEobS5~Yq#MU?l+|FPV"><field name="NUM">3.3</field></shadow></value></block></value><next><block type="display_print2" id="GILnw-Xv}S}Y$#12=K9a"><value name="VALUE1"><shadow type="text" id="#NK+g4FeXF!B3$83|^z("><field name="TEXT">Value =</field></shadow></value><value name="VALUE2"><shadow type="math_number" id="`kKt0lII2vfou!d}Spa%"><field name="NUM">123</field></shadow><block type="str_format_float" id="%UNuZ{TPk7.:p8.Z/sY6"><field name="D">1</field><field name="W">5</field><value name="VALUE"><block type="variables_get" id="]6b2YFsQc[b%D8yc27B="><field name="VAR" id="CDBNB}XY~mz3*ow/FgT$">reading</field></block></value></block></value><next><block type="display_rect" id="@1206BwHECw-#c#Icj!O"><field name="F">FALSE</field><value name="X"><shadow type="math_number" id="+W,P]DfBFku#5HbpA$6u"><field name="NUM">10</field></shadow></value><value name="Y"><shadow type="math_number" id="zUF0+-d.R-4i;SGEvcV7"><field name="NUM">25</field></shadow></value><value name="W"><shadow type="math_number" id="Wvgcn]y*TKi5ztgy2ZqS"><field name="NUM">100</field></shadow></value><value name="H"><shadow type="math_number" id="?k?|P|cM?dK|aQIltf(j"><field name="NUM">20</field></shadow></value><next><block type="display_rect" id="T.KqM|TgH6aoTnBg;Qq?"><field name="F">TRUE</field><value name="X"><shadow type="math_number" id="AbBikYz)|tRrzLd4+zO/"><field name="NUM">10</field></shadow></value><value name="Y"><shadow type="math_number" id="JTHPzy=K^`HYwzBTX%Y`"><field name="NUM">25</field></shadow></value><value name="W"><shadow type="math_number" id="^iMNba]/oRo),,i)w]8a"><field name="NUM">10</field></shadow><block type="variables_get" id="4!*snQ$Hm_{%TG8kQb$4"><field name="VAR" id="CDBNB}XY~mz3*ow/FgT$">reading</field></block></value><value name="H"><shadow type="math_number" id=",j6)hx9?bNsW3@Ep5HAW"><field name="NUM">20</field></shadow></value><next><block type="display_show" id="quHf$i*k.npGtX.kWjRD"/></next></block></next></block></next></block></next></block></next></block></next></block></next></block></statement></block></xml>
